
// NCStringAdditions.m
//
// Written by Norbert Heger <bertl@hal.kph.tuwien.ac.at>
// Copyright (c)1997
//
// This file is distributed under the terms of the
// GNU General Public License.

#import "NCStringAdditions.h"

@implementation NSString (NCStringAdditions)

- (NSRange)rangeFromString:(NSString *)startString toString:(NSString *)endString range:(NSRange)aRange
{
    NSRange range = NSMakeRange(NSNotFound, 0);
    NSRange startRange = [self rangeOfString:startString options:0 range:aRange];

    if (startRange.length != 0) {
        unsigned int location = startRange.location + startRange.length;
        NSRange remainingRange = NSMakeRange(location, aRange.location + aRange.length - location);
        NSRange endRange = [self rangeOfString:endString options:0 range:remainingRange];
        if (endRange.length != 0) {
            range = NSUnionRange(startRange, endRange);
        }
    }
    return range;
}

@end
